Gecode::LocalHandle Class Reference

Handles for local (space-shared) objects. More...

`#include <core.hpp>`

## Public Member Functions

LocalHandle & | operator= (const LocalHandle &lh)
| Assignment operator.
void | update (Space &home, LocalHandle &lh)
| Updating during cloning.
| ~LocalHandle (void)
| Destructor.

## Protected Member Functions

| LocalHandle (void)
| Create local handle pointing to NULL object.
| LocalHandle (LocalObject *lo)
| Create local handle that points to local object lo.
| LocalHandle (const LocalHandle &lh)
| Copy constructor.
LocalObject * | object (void) const
| Access to the local object.
void | object (LocalObject *n)
| Modify local object.

## Detailed Description

Handles for local (space-shared) objects.

Definition at line 1558 of file core.hpp.

## Constructor & Destructor Documentation

## LocalHandle() [1/3]

Gecode::LocalHandle::LocalHandle | ( | void |  | ) |

inline protected

Create local handle pointing to NULL object.

Definition at line 3739 of file core.hpp.

## LocalHandle() [2/3]

Gecode::LocalHandle::LocalHandle | ( | LocalObject * | lo | ) |

inline protected

Create local handle that points to local object lo.

Definition at line 3741 of file core.hpp.

## LocalHandle() [3/3]

Gecode::LocalHandle::LocalHandle | ( | const LocalHandle & | lh | ) |

inline protected

Copy constructor.

Definition at line 3743 of file core.hpp.

## ~LocalHandle()

Gecode::LocalHandle::~LocalHandle | ( | void |  | ) |

inline

Destructor.

Definition at line 3750 of file core.hpp.

## Member Function Documentation

## operator=()

LocalHandle & Gecode::LocalHandle::operator= | ( | const LocalHandle & | lh | ) |

inline

Assignment operator.

Definition at line 3745 of file core.hpp.

## update()

void Gecode::LocalHandle::update | ( | Space & | home,
|  | LocalHandle & | lh )

inline

Updating during cloning.

Definition at line 3756 of file core.hpp.

## object() [1/2]

LocalObject * Gecode::LocalHandle::object | ( | void |  | ) | const

inline protected

Access to the local object.

Definition at line 3752 of file core.hpp.

## object() [2/2]

void Gecode::LocalHandle::object | ( | LocalObject * | n | ) |

inline protected

Modify local object.

Definition at line 3754 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp